%define		_enable_debug_packages	0

Summary:	Launcher for the Steam software distribution service
Name:		steam-launcher
Version:	1.0.0.72
Release:	1
License:	distributable
Group:		Applications
Source0:	https://repo.steampowered.com/steam/pool/steam/s/steam/steam_%{version}.tar.gz
# Source0-md5:	53c8ec53d0efd81490f9a2827af6366a
Source1:	%{name}.sysconfig
Patch0:		steamdeps.patch
Patch1:		desktop_path.patch
URL:		http://store.steampowered.com/
BuildRequires:	sed >= 4.0
Requires:	ca-certificates >= 20180409-3
Requires:	curl
Requires:	fonts-TTF-RedHat-liberation
Requires:	glibc >= 6:2.15
Requires:	libtxc_dxtn
Requires:	pld-release
Requires:	poldek
Requires:	python-modules
Requires:	rpm
Requires:	which
Requires:	xdg-user-dirs
Requires:	xterm
Requires:	xz
Requires:	zenity
ExclusiveArch:	%{ix86} %{x8664}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%ifarch %{x8664}
%define	poldek_sources	-n th -n th-i686
%else
%define	poldek_sources	-n th
%endif

%description
Steam is a software distribution service with an online store,
automated installation, automatic updates, achievements, SteamCloud
synchronized savegame and screenshot functionality, and many social
features.

%prep
%setup -qn steam-launcher
%patch0 -p1
%patch1 -p1

%{__sed} -i -e '1s,/usr/bin/env python3,%{__python3},' bin_steamdeps.py
%{__sed} -i -e '1s,/usr/bin/env bash,%{__bash},' bin_steam.sh

sed -i -e's/^ARCH\s*=.*$/ARCH = "%{_arch}"/' steamdeps

%install
rm -rf $RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT/etc/sysconfig

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm $RPM_BUILD_ROOT%{_docdir}/steam/{README,steam_subscriber_agreement.txt}

# installed only when apt is installed on the build host
[ -d $RPM_BUILD_ROOT/etc/apt ] && rm -r $RPM_BUILD_ROOT/etc/apt

sed -e's/@SOURCES@/%{poldek_sources}/' %{SOURCE1} > $RPM_BUILD_ROOT/etc/sysconfig/%{name}

%{__rm} $RPM_BUILD_ROOT/usr/lib/steam/steam.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database
%glib_compile_schemas

%postun
%update_icon_cache hicolor
%update_desktop_database_postun
%glib_compile_schemas

%files
%defattr(644,root,root,755)
%doc steam_subscriber_agreement.txt
%attr(755,root,root) %{_bindir}/steam
%attr(755,root,root) %{_bindir}/steamdeps
%config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/%{name}
%dir /usr/lib/steam
%attr(755,root,root) /usr/lib/steam/bin_steam.sh
%attr(755,root,root) /usr/lib/steam/bin_steamdeps.py
/usr/lib/steam/bootstraplinux*.tar.xz
%{_desktopdir}/steam.desktop
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man6/steam.6*
%{_pixmapsdir}/*.png
%{_datadir}/metainfo/com.valvesoftware.Steam.metainfo.xml
%changelog
* Mon Sep 13 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/steam-launcher.git;a=log;h=master

* Sat Sep 11 2021 Jan Palus <atler@pld-linux.org> a7ac95a
- up to 1.0.0.72

* Tue Jul 27 2021 Jan Palus <atler@pld-linux.org> 26714f0
- up to 1.0.0.71

* Fri Apr 09 2021 Jan Palus <atler@pld-linux.org> 3ec266c
- up to 1.0.0.70

* Tue Mar 09 2021 Jan Palus <atler@pld-linux.org> d593a64
- disable debug packages; rel 2

* Thu Mar 04 2021 Jan Palus <atler@pld-linux.org> c505b3a
- updated source url to https

* Thu Mar 04 2021 Jan Palus <atler@pld-linux.org> 4433d5e
- up to 1.0.0.69

* Mon Dec 07 2020 Jan Palus <atler@pld-linux.org> 8c5e90a
- up to 1.0.0.68

* Sun Nov 22 2020 Jan Palus <atler@pld-linux.org> d4764d8
- up to 1.0.0.67

* Wed Jul 29 2020 Jan Palus <atler@pld-linux.org> 1269641
- up to 1.0.0.66

* Wed Jun 24 2020 Jan Palus <atler@pld-linux.org> c8145d1
- up to 1.0.0.64

* Wed Jun 17 2020 Jan Palus <atler@pld-linux.org> 2837397
- up to 1.0.0.63

* Sat Jan 12 2019 Jacek Konieczny <jajcus@jajcus.net> 08b55c5
- Version: 1.0.0.59, require new ca-certificates

* Wed Nov 14 2018 Jan Palus <atler@pld-linux.org> f1ee532
- up to 1.0.0.56

* Sat Jul 28 2018 Jan Palus <atler@pld-linux.org> 15d492f
- up to 1.0.0.55

* Wed Dec 14 2016 Jan Palus <atler@pld-linux.org> 814e317
- up to 1.0.0.54

* Tue Apr 05 2016 Jan Palus <atler@pld-linux.org> baf6213
- up to 1.0.0.52

* Sat Jan 02 2016 Jan Palus <atler@pld-linux.org> 1e29eb3
- up to 1.0.0.51

* Tue Aug 04 2015 Mariusz Mazur <mmazur@axeos.com> 800a7af
- rel 2; missing R breaks textures in a lot of games

* Sun Jun 14 2015 Jan Palus <atler@pld-linux.org> c8738a8
- up to 1.0.0.50

* Sun Feb 08 2015 Jacek Konieczny <jajcus@jajcus.net> e0f0482
- Disable steam-runtime in the steamdeps script

